POST /api/v3/savings/meter/count

Count the number of meters that match the filter conditions for cost avoidance bulk actions

GetCostAvoidanceMeterCountV3 Permissions: GlobalCostAvoidanceSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Query Parameters

Name Description Type Required
onlyMetersInCAP Whether or not to only include meters in the count which are already participating in cost avoidance boolean Optional

Request Body

Array of:

FilterEdit
Property Description Type
fieldId Data field ID for the filter Required integer (int32)
operator Filter operator expressed as a string (e.g. “equals”) Required string
value Filter value string
Example Request Body application/json
[
  {    "fieldId": 1,    "operator": "string",    "value": "string"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GenericCount
Property Description Type
count Number of items integer (int32)
description A short description of the items counted string
Example Response application/json
{  "count": 1,  "description": "string"
}